Summary:	DHCP Client Daemon
Name:		dhcpcd
Version:	5.2.12
Release:	%mkrel 1
License:	BSD-Like
Group:		System/Servers
URL:		http://roy.marples.name/projects/dhcpcd/
Source0:	http://roy.marples.name/downloads/dhcpcd/%{name}-%{version}.tar.bz2
Patch1:		dhcpcd-5.1.3-fix-install-permissions.patch
Requires(post): rpm-helper

%description
dhcpcd is an RFC2131 compliant DHCP client. It is fully featured and yet
lightweight: the binary is 60k as reported by size(1) on Linux i386. It has
support for duplicate address detection, IPv4LL, carrier detection, and a
merged resolv.conf and ntp.conf for which other DHCP clients require third
party tools.

%prep
%setup -q
%patch1 -p1 -b .perms~

%build
%configure2_5x	--bindir=/sbin \
		--libdir=/%{_lib} \
		--libexecdir=/%{_lib} \
		--with-hook=ntp.conf \
		--with-hook=yp.conf \
		--with-hook=ypbind

%serverbuild

%make

%install
rm -rf %{buildroot}

%makeinstall_std

mkdir -p %{buildroot}/var/log
touch %{buildroot}/var/log/%{name}.log

%post
# Create initial log files so that logrotate doesn't complain
if [ $1 = 1 ]; then # first install
    %create_ghostfile dhcpcd root root 644
fi

%clean
rm -rf %{buildroot}

%files
%doc README
%config(noreplace) %{_sysconfdir}/dhcpcd.conf
/sbin/dhcpcd
%dir /%{_lib}/dhcpcd-hooks
/%{_lib}/dhcpcd-hooks/*
/%{_lib}/dhcpcd-run-hooks
%{_mandir}/man5/dhcpcd.conf.5*
%{_mandir}/man8/dhcpcd.8*
%{_mandir}/man8/dhcpcd-run-hooks.8*
%ghost /var/log/%{name}.log




%changelog

* Sun Feb 19 2012 luigiwalser <luigiwalser> 5.2.12-1.mga1
+ Revision: 210568
- 5.2.12 (fix CVE-2011-0996)

* Tue Feb 08 2011 ennael <ennael> 5.2.7-1.mga1
+ Revision: 49030
- imported package dhcpcd


* Wed Sep 08 2010 Per Øyvind Karlsen <peroyvind@mandriva.org> 5.2.7-1mdv2011.0
+ Revision: 576757
- new release: 5.2.7
- regenerate initscript path patch (P0)

* Thu Jan 14 2010 Emmanuel Andry <eandry@mandriva.org> 5.1.4-1mdv2010.1
+ Revision: 491483
- New version 5.1.4

* Tue Nov 17 2009 Per Øyvind Karlsen <peroyvind@mandriva.org> 5.1.3-1mdv2010.1
+ Revision: 466727
- update outdated description
- fix permission of installed files (P1)
- fix paths to initscripts in hook scripts
- be sure to have hook scripts for ntp & yp installed
- new version: 5.1.3

* Tue Nov 17 2009 Per Øyvind Karlsen <peroyvind@mandriva.org> 5.1.1-2mdv2010.1
+ Revision: 466702
- set variables properly through %%configure (this fixes breakage in previous
  release due /usr/lib* being used while files being placed in /lib*)

* Fri Sep 25 2009 Frederik Himpe <fhimpe@mandriva.org> 5.1.1-1mdv2010.0
+ Revision: 449124
- Update to new version 5.1.1

* Fri Jul 10 2009 Per Øyvind Karlsen <peroyvind@mandriva.org> 5.0.5-1mdv2010.0
+ Revision: 394186
- new release: 5.0.5

* Sat Jun 27 2009 Oden Eriksson <oeriksson@mandriva.com> 5.0.4-1mdv2010.0
+ Revision: 389853
- 5.0.4

* Thu Mar 05 2009 Jérôme Soyer <saispo@mandriva.org> 4.0.12-1mdv2009.1
+ Revision: 348930
- New upstream release

* Wed Feb 18 2009 Jérôme Soyer <saispo@mandriva.org> 4.0.10-1mdv2009.1
+ Revision: 342438
- New upstream release

* Wed Dec 03 2008 Oden Eriksson <oeriksson@mandriva.com> 4.0.7-1mdv2009.1
+ Revision: 309655
- 4.0.7

* Wed Nov 26 2008 Oden Eriksson <oeriksson@mandriva.com> 4.0.6-1mdv2009.1
+ Revision: 307007
- 4.0.6
- 4.0.5

* Tue Nov 04 2008 Oden Eriksson <oeriksson@mandriva.com> 4.0.4-1mdv2009.1
+ Revision: 299831
- 4.0.4

* Wed Oct 29 2008 Oden Eriksson <oeriksson@mandriva.com> 4.0.3-1mdv2009.1
+ Revision: 298598
- 4.0.3

* Fri Oct 24 2008 Oden Eriksson <oeriksson@mandriva.com> 4.0.2-1mdv2009.1
+ Revision: 296936
- 4.0.2

* Mon Jun 16 2008 Thierry Vignaud <tv@mandriva.org> 3.1.8-3mdv2009.0
+ Revision: 220620
- rebuild

* Fri Jan 11 2008 Thierry Vignaud <tv@mandriva.org> 3.1.8-2mdv2008.1
+ Revision: 149172
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Guillaume Rousse <guillomovitch@mandriva.org>
    - new version

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot


* Sat Mar 17 2007 Oden Eriksson <oeriksson@mandriva.com> 1.3.22pl4-7mdv2007.1
+ Revision: 145528
- Import dhcpcd

* Sat Mar 17 2007 Oden Eriksson <oeriksson@mandriva.com> 1.3.22pl4-7mdv2007.1
- use the %%mrel macro
- bunzip patches

* Sat May 13 2006 Stefan van der Eijk <stefan@eijk.nu> 1.3.22pl4-6mdk
- rebuild for sparc

* Sat Dec 31 2005 Mandriva Linux Team <http://www.mandrivaexpert.com/> 1.3.22pl4-5mdk
- Rebuild

* Sat Jan 22 2005 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 1.3.22pl4-4mdk
- add prepreq on rpm-helper
- cosmetics
- no .bz2 ending for man page in %%files

